diff a/src/java.base/share/classes/jdk/internal/classfile/impl/AbstractAttributeMapper.java b/src/java.base/share/classes/jdk/internal/classfile/impl/AbstractAttributeMapper.java
--- a/src/java.base/share/classes/jdk/internal/classfile/impl/AbstractAttributeMapper.java
+++ b/src/java.base/share/classes/jdk/internal/classfile/impl/AbstractAttributeMapper.java
@@ -308,10 +308,28 @@
                 buf.writeU2(line.lineNumber());
             }
         }
     }
 
+    public static final class LoadableDescriptorsMapper extends AbstractAttributeMapper<LoadableDescriptorsAttribute> {
+        public static final LoadableDescriptorsMapper INSTANCE = new LoadableDescriptorsMapper();
+
+        private LoadableDescriptorsMapper() {
+            super(NAME_LOADABLE_DESCRIPTORS, AttributeStability.CP_REFS);
+        }
+
+        @Override
+        public LoadableDescriptorsAttribute readAttribute(AttributedElement e, ClassReader cf, int p) {
+            return new BoundAttribute.BoundLoadableDescriptorsAttribute(cf, this, p);
+        }
+
+        @Override
+        protected void writeBody(BufWriter buf, LoadableDescriptorsAttribute attr) {
+            Util.writeListIndices(buf, attr.loadableDescriptors());
+        }
+    }
+
     public static final class LocalVariableTableMapper extends AbstractAttributeMapper<LocalVariableTableAttribute> {
         public static final LocalVariableTableMapper INSTANCE = new LocalVariableTableMapper();
 
         private LocalVariableTableMapper() {
             super(NAME_LOCAL_VARIABLE_TABLE, AttributeStability.LABELS, true);
